package no.uia.dat101.sett10.grafikk;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;

import javax.swing.JPanel;

public class TegnePanel extends JPanel {

	Model model; //= new Model();
	private BufferedImage buffImage = null;

	TegnePanel() {
		setBackground(Color.WHITE);
	}

	public void paintComponent(Graphics g) {
		// parent paintComponents
		super.paintComponents(g);

		// ny hoved Graphics2D
		Graphics2D g2 = (Graphics2D)g;

		// finn strrelse p tegnepanel
		int w = this.getWidth();
		int h = this.getHeight();
		
		// lage buffImage for frste gang - leepoint paint
		buffImage = (BufferedImage)this.createImage(w, h);
		// lag Graphics2D som gr ann  tegne p
		Graphics2D gc = buffImage.createGraphics();

		// sett bakgrunnen hvit
		gc.setColor(Color.white);
		gc.fillRect(0, 0, w, h); // bakgrunn
		
		//g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
		//model.tegn(g2); // tegn p panel - gammel

		// gjr om buffImage til Graphics2D som gr ann  tegne p
		Graphics2D buffImage_g = buffImage.createGraphics();

		// sett p anti-aliasing for  gjre kanter rundere
		buffImage_g.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);

		// tegn alle objekter i array
		model.tegn(buffImage_g);
		
		// tegn ut endringer som ble gjort i model objektet
		g2.drawImage(buffImage, null, 0, 0);
	}

	public void setTegnepanel(Model m) {
		this.model = m;
	}

	public BufferedImage getBuffimage() {
		return buffImage;
	}


}
