package no.uia.dat101.sett10.grafikkobjekter;

import java.awt.Color;
import java.awt.Graphics;

import no.uia.dat101.oppg10.interfaces.TegneFigur;
import no.uia.dat101.sett10.grafikk.Model.Fasong;


public class Oval extends GrunnFigur implements TegneFigur {

	public void tegn(Graphics g){
		// sett farge som skal brukes
		g.setColor(farge);
		if (tegnemate == true) {
			//g.drawOval(x-dx/2, y-dy/2, dx, dy);
			g.drawOval(x-dx, y-dy, dx, dy);
		} else {
			//g.fillOval(x-dx/2,y-dy/2, dx, dy);
			g.fillOval(x-dx,y-dy, dx, dy);
		}
	} 

	Color farge = def_farge;
	int x = def_x; int y = def_y;
	int dx = def_dx; int dy = def_dy;
	boolean tegnemate = def_tegnemate;
	
	public Color getFarge() {
		return farge;
	}
	public void setFarge(Color farge) {
		this.farge = farge;
	}
	public int getX() {
		return x;
	}
	public void setX(int x) {
		this.x = x;
	}
	public int getY() {
		return y;
	}
	public void setY(int y) {
		this.y = y;
	}
	public int getDx() {
		return dx;
	}
	public void setDx(int dx) {
		this.dx = dx;
	}
	public int getDy() {
		return dy;
	}
	public void setDy(int dy) {
		this.dy = dy;
	}
	public boolean isTegnemate() {
		return tegnemate;
	}
	public void setTegnemate(boolean tegnemate) {
		this.tegnemate = tegnemate;
	}
	public String toString() {
		//return "x: "+x+" y: "+y+" dx: "+dx+" dy: "+dy+" farge:"+farge+" tegnemate: "+tegnemate;
		return "Oval - "+dx+"x"+dy+" px";

	}
}
